petsc-3.6.2 2015-10-02
Report Typos and Errors

# PETSC_VIEWER_SOCKET_

Creates a socket viewer shared by all processors in a communicator.

### Synopsis

    PetscViewer  PETSC_VIEWER_SOCKET_(MPI_Comm comm)

Collective on MPI_Comm

### Input Parameter

comm -the MPI communicator to share the socket PetscViewer

### Options Database Keys

For use with the default PETSC_VIEWER_SOCKET_WORLD or if NULL is passed for machine or PETSC_DEFAULT is passed for port

       -viewer_socket_machine <machine>

       -viewer_socket_port <port>

### Environmental variables

| PETSC_VIEWER_SOCKET_PORT portnumber | - - PETSC_VIEWER_SOCKET_MACHINE machine name

### Notes

Unlike almost all other PETSc routines, PetscViewer_SOCKET_ does not return an error code. The socket PetscViewer is usually used in the form

          XXXView(XXX object,PETSC_VIEWER_SOCKET_(comm));

Currently the only socket client available is MATLAB. See src/dm/da/examples/tests/ex12.c and ex12.m for an example of usage.

Connects to a waiting socket and stays connected until PetscViewerDestroy() is called.

Use this for communicating with an interactive MATLAB session, see PETSC_VIEWER_MATLAB_() for communicating with the MATLAB engine.

### See Also

PETSC_VIEWER_SOCKET_WORLD, PETSC_VIEWER_SOCKET_SELF, PetscViewerSocketOpen(), PetscViewerCreate(),
PetscViewerSocketSetConnection(), PetscViewerDestroy(), PETSC_VIEWER_SOCKET_(), PetscViewerBinaryWrite(), PetscViewerBinaryRead(), PetscViewerBinaryWriteStringArray(), PetscBinaryViewerGetDescriptor(), PETSC_VIEWER_MATLAB_()

Level:intermediate
Location:src/sys/classes/viewer/impls/socket/send.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages